////////////////////////////////////////////////////////////////////////////////////////
//......................................................................................
//  This is a part of AI Library [Arthur's Interfaces Library].                        .
//  Copyright  1989-2001 Arthur Amshukov                                              .
//......................................................................................
//  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND         .
//  DO NOT REMOVE MY NAME AND THIS NOTICE FROM THE SOURCE                              .
//......................................................................................
////////////////////////////////////////////////////////////////////////////////////////
#ifndef __PALM_HTTP_CLIENT_INC__
#define __PALM_HTTP_CLIENT_INC__

#pragma once

#ifndef __AIL_H__
#   include <ail.hpp>
#endif

#ifndef __PALM_OS_INC__
#   include <PalmOS.inc>
#endif

#ifndef __PALM_ERROR_INC__
#   include <PalmError.inc>
#endif

#ifndef __PALM_FILE_INC__
#   include <PalmFile.inc>
#endif

#ifndef __PALM_HTTP_URL_INC__
#   include <PalmHTTPURL.inc>
#endif

#ifndef __PALM_STREAM_SOCKET_INC__
#   include <PalmStreamSocket.inc>
#endif

#ifndef __PALM_HTT_PROTOCOL_INC__
#   include <PalmHTTProtocol.inc>
#endif

#ifndef __PALM_HTTP_CLIENT_H__
#   include <PalmHTTPClient.hpp>
#endif

#ifndef __PALM_HTTP_CLIENT_INL__
#   include <PalmHTTPClient.inl>
#endif

#endif // __PALM_HTTP_CLIENT_INC__
////////////////////////////////////////////////////////////////////////////////////////
